package it.html.oauth.model;

import com.abubusoft.kripton.annotation.BindType;

/**
 * Utente autenticato presso sistema di oauth
 * 
 * @author xcesco
 *
 */
@BindType
public class OAuthUser extends UIDObject {
	
	private static final long serialVersionUID = 8432840906135076876L;

	public OAuthUser()
	{
		
	}
	
	public OAuthUser(String uid, String name, String email, LoginType type)
	{
		this.uid=uid;
		this.name=name;
		this.email=email;
		this.type=type;
	}
	
	protected LoginType type;
	
	public LoginType getType() {
		return type;
	}

	public void setType(LoginType type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	protected String name;
	
	protected String email;

}
